Bug 426625 - trivial crash, invalid / non-allocated memory free.
trivial crash, invalid / non-allocated memory free.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 02:55 EST by c.h.
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:35:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description c.h. 2007-12-23 02:55:41 EST
Description of problem:

Crash.

Version-Release number of selected component (if applicable):

PolicyKit-0.6-1.fc8


How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

[root@localhost SOURCES]# polkit-policy-file-validate jhkjgk
*** glibc detected *** polkit-policy-file-validate: free(): invalid pointer:
0x00007fff780bf7f6 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3389c72832]
/lib64/libc.so.6(cfree+0x8c)[0x3389c75f2c]
/usr/lib64/libpolkit.so.2[0x34f44060b7]
/usr/lib64/libpolkit.so.2(polkit_policy_file_new+0x1dd)[0x34f440632d]
polkit-policy-file-validate[0x4008af]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3389c1e074]
polkit-policy-file-validate[0x400759]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00600000-00602000 rw-p 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00602000-00623000 rw-p 00602000 00:00 0                                  [heap]
3388a00000-3388a1b000 r-xp 00000000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1a000-3388c1b000 r--p 0001a000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1b000-3388c1c000 rw-p 0001b000 fd:02 2520975                       
/lib64/ld-2.7.so
3389c00000-3389d4d000 r-xp 00000000 fd:02 2520976                       
/lib64/libc-2.7.so
3389d4d000-3389f4d000 ---p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f4d000-3389f51000 r--p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f51000-3389f52000 rw-p 00151000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f52000-3389f57000 rw-p 3389f52000 00:00 0 
338c800000-338c821000 r-xp 00000000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338c821000-338ca20000 ---p 00021000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338ca20000-338ca23000 rw-p 00020000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338fc00000-338fc0d000 r-xp 00000000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fc0d000-338fe0d000 ---p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fe0d000-338fe0e000 rw-p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
34f1200000-34f12c7000 r-xp 00000000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f12c7000-34f14c6000 ---p 000c7000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f14c6000-34f14c8000 rw-p 000c6000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f4400000-34f440c000 r-xp 00000000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f440c000-34f460c000 ---p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f460c000-34f460d000 rw-p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaadf000-2aaaaaae1000 rw-p 2aaaaaadf000 00:00 0 
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0 
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0 
7fff780ad000-7fff780c2000 rw-p 7ffffffea000 00:00 0                      [stack]
7fff781fe000-7fff78200000 r-xp 7fff781fe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted
  
Actual results:


Expected results:


Additional info:
Comment 1 c.h. 2007-12-23 02:59:55 EST
Doesn't print any output when the file does validate (I guess it just
sets a zero status code).  Crashes often when the argument is missing/invalid.

Seems a bit touchy even when the argument file exists and is empty or
invalid:

[root@localhost SOURCES]# touch foo
[root@localhost SOURCES]# polkit-policy-file-validate foo
*** glibc detected *** polkit-policy-file-validate: free(): invalid pointer:
0x00007fff08f01646 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3389c72832]
/lib64/libc.so.6(cfree+0x8c)[0x3389c75f2c]
/usr/lib64/libpolkit.so.2[0x34f44060b7]
/usr/lib64/libpolkit.so.2(polkit_policy_file_new+0x1dd)[0x34f440632d]
polkit-policy-file-validate[0x4008af]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3389c1e074]
polkit-policy-file-validate[0x400759]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00600000-00602000 rw-p 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00602000-00623000 rw-p 00602000 00:00 0                                  [heap]
3388a00000-3388a1b000 r-xp 00000000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1a000-3388c1b000 r--p 0001a000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1b000-3388c1c000 rw-p 0001b000 fd:02 2520975                       
/lib64/ld-2.7.so
3389c00000-3389d4d000 r-xp 00000000 fd:02 2520976                       
/lib64/libc-2.7.so
3389d4d000-3389f4d000 ---p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f4d000-3389f51000 r--p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f51000-3389f52000 rw-p 00151000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f52000-3389f57000 rw-p 3389f52000 00:00 0 
338c800000-338c821000 r-xp 00000000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338c821000-338ca20000 ---p 00021000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338ca20000-338ca23000 rw-p 00020000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338fc00000-338fc0d000 r-xp 00000000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fc0d000-338fe0d000 ---p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fe0d000-338fe0e000 rw-p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
34f1200000-34f12c7000 r-xp 00000000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f12c7000-34f14c6000 ---p 000c7000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f14c6000-34f14c8000 rw-p 000c6000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f4400000-34f440c000 r-xp 00000000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f440c000-34f460c000 ---p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f460c000-34f460d000 rw-p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaadf000-2aaaaaae1000 rw-p 2aaaaaadf000 00:00 0 
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0 
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0 
7fff08eee000-7fff08f03000 rw-p 7ffffffea000 00:00 0                      [stack]
7fff08ffe000-7fff09000000 r-xp 7fff08ffe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted
[root@localhost SOURCES]# echo "1" > foo
[root@localhost SOURCES]# polkit-policy-file-validate foo
*** glibc detected *** polkit-policy-file-validate: free(): invalid pointer:
0x00007fffb122a966 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3389c72832]
/lib64/libc.so.6(cfree+0x8c)[0x3389c75f2c]
/usr/lib64/libpolkit.so.2[0x34f44060b7]
/usr/lib64/libpolkit.so.2(polkit_policy_file_new+0x1dd)[0x34f440632d]
polkit-policy-file-validate[0x4008af]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3389c1e074]
polkit-policy-file-validate[0x400759]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00600000-00602000 rw-p 00000000 fd:02 6987000                           
/usr/bin/polkit-policy-file-validate
00602000-00623000 rw-p 00602000 00:00 0                                  [heap]
3388a00000-3388a1b000 r-xp 00000000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1a000-3388c1b000 r--p 0001a000 fd:02 2520975                       
/lib64/ld-2.7.so
3388c1b000-3388c1c000 rw-p 0001b000 fd:02 2520975                       
/lib64/ld-2.7.so
3389c00000-3389d4d000 r-xp 00000000 fd:02 2520976                       
/lib64/libc-2.7.so
3389d4d000-3389f4d000 ---p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f4d000-3389f51000 r--p 0014d000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f51000-3389f52000 rw-p 00151000 fd:02 2520976                       
/lib64/libc-2.7.so
3389f52000-3389f57000 rw-p 3389f52000 00:00 0 
338c800000-338c821000 r-xp 00000000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338c821000-338ca20000 ---p 00021000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338ca20000-338ca23000 rw-p 00020000 fd:02 2520992                       
/lib64/libexpat.so.1.5.2
338fc00000-338fc0d000 r-xp 00000000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fc0d000-338fe0d000 ---p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
338fe0d000-338fe0e000 rw-p 0000d000 fd:02 2520994                       
/lib64/libgcc_s-4.1.2-20070925.so.1
34f1200000-34f12c7000 r-xp 00000000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f12c7000-34f14c6000 ---p 000c7000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f14c6000-34f14c8000 rw-p 000c6000 fd:02 2520880                       
/lib64/libglib-2.0.so.0.1400.4
34f4400000-34f440c000 r-xp 00000000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f440c000-34f460c000 ---p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
34f460c000-34f460d000 rw-p 0000c000 fd:02 6982142                       
/usr/lib64/libpolkit.so.2.0.0
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaadf000-2aaaaaae1000 rw-p 2aaaaaadf000 00:00 0 
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0 
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0 
7fffb1217000-7fffb122c000 rw-p 7ffffffea000 00:00 0                      [stack]
7fffb13fe000-7fffb1400000 r-xp 7fffb13fe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted
Comment 2 Bug Zapper 2008-11-26 04:08:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:35:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.